package com.nisum.offertransactionservice.dto;


import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.FieldDefaults;

@Data
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE, makeFinal = false)
public class OfferLookupDTO {


    String id;
    String idType;
    Long offerId;
    String storeId;
    String terminal;
    String preCondition;

    OfferMetaDTO offerMetaDTO;
}
